#-*- coding: utf-8 -*-

# Copyright 2010 Mir Calculate Ltd. http://www.calculate-linux.org
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

from cl_desktop import install, __app__, __version__
from cl_opt import opt, TitledHelpFormatter
import sys
from cl_share_cmd import share_cmd

# Перевод сообщений для программы
from cl_lang import lang
lang().setLanguage(sys.modules[__name__])

# Использование программы
USAGE = _("%prog [options]")

# Описание программы (что делает программа)
DESCRIPTION = _("Configure the system to calculate-desktop package")

class install_cmd(share_cmd):
    def __init__(self):
        # Объект опций командной строки
        self.optobj = opt(\
            package=__app__,
            version=__version__,
            usage=USAGE,
            description=DESCRIPTION,
            option_list=opt.variable_control+opt.color_control,
            formatter=TitledHelpFormatter(),
            check_values=self.checkOpts)
        # Создаем объект логики
        self.logicObj = install()
        # Создаем переменные
        self.logicObj.createClVars()

    def checkOpts(self, optObj, args):
        """Проверка опций командной строки"""
        if args:
            errMsg = _("invalid argument") + ":" + " %s" %" ".join(args)
            self.optobj.error(errMsg)
            return False
        return optObj, args

    def installProg(self):
        """Наложение шаблонов на систему при инсталяции"""
        return self.logicObj.installProg()